<?php

// Chapter 8: Managing E-mail
//
// This example shows how to send a basic HTML email with an embedded image
//
// To use this example, you *must* have PHP correctly configured to send
// email, and a working MTA to boot!

// who is the email going to?
// change this to be *your* email address ;-)

$to = "stuart";

// what is the URL of the image?

$image = "http://static.php.net/www.php.net/images/php.gif";

// what is the message?

$message = "This is my fourth email sent from "
         . "<a href=\"http://www.php.net\">PHP</a>.\r\n"
         . "This email has an image "
	 . "<img src=\""
	 . $image
	 . "\"> here.\r\n";

// don't forget our blank line
$blank_line = "\r\n";

// define our boundary

$boundary_text = "php-12345";
$boundary = "--" . $boundary_text . "\r\n";

// add the MIME headers

$more_headers = "MIME-Version: 1.0\r\n"
	      . "Content-Type: multipart/related; boundary=\""
	      . $boundary_text
	      . "\"; type=\"text/html\"\r\n";

// create the first part of the message
$mime_message = "If you are reading this, it means that your e-mail client\r\n"
              . "does not support MIME.  Please upgrade your e-mail client\r\n"
	      . "to one that does support MIME.\r\n"
              . $boundary;

// add the second part of the message
$mime_message .= "Content-Type: text/html; charset=\"iso-8859-1\"\r\n"
	      .  "Content-Transport-Encoding: 7bit\r\n"
	      .  $blank_line
              .  $message
              .  $boundary;

// now add the attachment
$mime_message .= "Content-Type: image/gif; name=\"php.gif\"\r\n"
              .  "Content-Transfer-Encoding: base64\r\n"
	      .  "Content-Location: "
	      .  $image
	      .  "\r\n"
	      .  $blank_line
	      .  chunk_split(base64_encode(file_get_contents("php.gif"))) 
	      .  "\r\n"
	      .  $boundary;

// send the email

$result = mail (
	$to,
	"My first HTML e-mail with an embedded image",
	$mime_message,
	$more_headers
);

?>
