<?php

// Chapter 10: Stream and Network Programming
//
// Example 06: Using fsockopen()

// we will open a connection to the PHP Project's website, and download
// their front page
//
// note that what comes back is a redirect, and not the front-page itself
// this is an example of one of the many things that the http file wrapper
// automatically (and transparently) handles for us

$fp = fsockopen ("tcp://www.php.net", 80, $sock_errno, $sock_errmsg);
fwrite ($fp, "GET /\n");
while (!feof($fp))
{
	echo fgets($fp) . "\n";
}
fclose($fp);

?>
