<?php

// Chapter 10: Stream and Network Programming
//
// Example 08: A blocked socket

// we will open a connection to the PHP Project's website, and attempt
// to read from the socket without having told the webserver what we
// want it to send us.
//
// this will block, and you should use CTRL+C to abort this script when
// you get bored enough

$fp = fsockopen("tcp://www.php.net", 80, $sock_errno, $sock_errmsg);

echo "Attempting to read from the stream ... this will not timeout\n";
echo "until the socket closes.  You should use CTRL+C to abort this\n";
echo "script when you're ready\n";

echo fgets($fp) . "\n";
fclose($fp);

?>
