<?php

// Chapter 10: Stream and Network Programming
//
// Example 11: Using fclose()

// here, we create a stream using fsockopen(), and then demonstrate how
// to close it using fclose()
//
// once the stream has been closed, the file handle cannot be re-used
// without a new call to fopen() or fsockopen()

$fp = fsockopen ("tcp://www.php.net", 80, $sock_errno, $sock_errmsg);
fclose($fp);

echo "We have opened and closed the stream.  When we attempt to read from\n";
echo "the stream, PHP will output an error on your screen.\n";

echo fgets($fp);

?>
